xslt_errno
xslt_free
XSLT Functions
PHP Manual

# xslt_error

(PHP 4 >= 4.0.3)

xslt_error — Returns an error string

### Description

string xslt_error ( resource `$xh` )

Returns a string describing the last error that occurred on the passed XSLT processor.

### Parameters

`xh`

  The XSLT processor link identifier, created with xslt_create().

### Return Values

Returns the error message, as a string.

### Examples

Example #1 Handling errors using the xslt_error() and xslt_errno() functions.

`<?php
$xh = xslt_create();
$result = xslt_process($xh, 'dog.xml', 'pets.xsl');
if (!$result) {
die(sprintf("Cannot process XSLT document [%d]: %s",
xslt_errno($xh), xslt_error($xh)));
}
echo $result;
xslt_free($xh);
?>`

### See Also

- xslt_errno()

xslt_errno
xslt_free
XSLT Functions
PHP Manual